.p-contacto {

  /* Titulo */
  & h1 {
    font-size: 40px;
    text-align: center;
    padding: 20px 0;
    color: var(--primary);
  }

  /* --- Estilo del Mapa - Información --- */
  .contacto-map {
    display: flex;
    gap: 50px;
    padding: 0 5rem;

    /* Tarjeta de información */
    .contacto-info {
      display: flex;
      flex-direction: column;
      padding: 15px 10px;
      width: 350px;
      border: 3px solid var(--primary);
      border-radius: 0 20px 0 20px;
      box-shadow: 0 2px 10px rgba(0, 0, 0, 0.5);

      /* Titulo */
      & h4 {
        position: relative;
        font-size: 28px;
        font-weight: 500;
        margin-left: 10px;
        margin-bottom: 30px;
        border-bottom: 2px dashed var(--primary);

        &::after {
          position: absolute;
          left: -20px;
          top: 0;
          content: "";
          height: 100%;
          width: 10px;
          background: var(--primary-1);
        }
      }

      & span {
        font-size: 18px;
        color: var(--info);

        & i {
          font-size: 22px;
        }
      }

      & label {
        margin-left: 35px;
        font-size: 20px;
        padding: 5px 0;
      }
    }

    .p-map {
      height: 25rem;
      width: 60rem;
      margin: 0 auto;
      border-radius: var(--border-radius);
      box-shadow: var(--box-shadow-card-2);
    }
  }
}

/* --- Estilo formulario --- */
.p-contacto .form-contacto {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 5rem;
  margin-top: 60px;
  margin-bottom: 100px;
  height: 400px;
  padding: 0 25px;

  .mensaje {
    display: flex;
    flex-direction: column;
    gap: 10px;
    padding-right: 30px;

    & p {
      font-size: 18px;
      letter-spacing: 1px;
    }
  }

  .formulario {
    display: flex;
    flex-direction: column;

    & h3 {
      font-size: 24px;
      color: var(--primary-1);
    }

    .txt_field:last-of-type {
      height: 160px;
    }
  }
}
